osg::GraphicsContext::WindowingSystemInterfaces Class Reference

`#include <GraphicsContext>`

Inheritance diagram for osg::GraphicsContext::WindowingSystemInterfaces:

## Public Types

typedef std::vector< osg::ref_ptr< GraphicsContext::WindowingSystemInterface > > | Interfaces

## Public Member Functions

| WindowingSystemInterfaces ()
Interfaces & | getInterfaces ()
void | addWindowingSystemInterface (WindowingSystemInterface *wsInterface)
void | removeWindowingSystemInterface (WindowingSystemInterface *wsInterface)
WindowingSystemInterface * | getWindowingSystemInterface (const std::string &name="")
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Typedef Documentation

## Interfaces

typedef std::vector< osg::ref_ptr<GraphicsContext::WindowingSystemInterface> > osg::GraphicsContext::WindowingSystemInterfaces::Interfaces

## Constructor & Destructor Documentation

## WindowingSystemInterfaces()

osg::GraphicsContext::WindowingSystemInterfaces::WindowingSystemInterfaces | ( |  | ) |

Referenced by getWindowingSystemInterface().

## Member Function Documentation

## addWindowingSystemInterface()

void osg::GraphicsContext::WindowingSystemInterfaces::addWindowingSystemInterface | ( | WindowingSystemInterface * | wsInterface | ) |

## getInterfaces()

Interfaces & osg::GraphicsContext::WindowingSystemInterfaces::getInterfaces | ( |  | ) |

inline

## getWindowingSystemInterface()

WindowingSystemInterface * osg::GraphicsContext::WindowingSystemInterfaces::getWindowingSystemInterface | ( | const std::string & | name = "" | ) |

get named WindowingSystemInterface if one is available, otherwise return 0;

References WindowingSystemInterfaces().

## removeWindowingSystemInterface()

void osg::GraphicsContext::WindowingSystemInterfaces::removeWindowingSystemInterface | ( | WindowingSystemInterface * | wsInterface | ) |

The documentation for this class was generated from the following file:

- GraphicsContext